FSCK.MINIX(8)

NUME
fsck.minix - verifică consistența sistemului de fișiere Minix

REZUMAT

fsck.minixt [opțiuni] dispozitiv

DESCRIERE

fsck.minix efectuează o verificare a consistenței pentru sistemul de fișiere Linux MINIX.

Programul presupune că sistemul de fișiere este inactiv. fsck.minix nu ar trebui utilizat pe un dispozitiv montat decât dacă puteți fi sigur că nimeni nu scrie pe el. Nu uitați că nucleul poate scrie pe dispozitiv atunci când caută fișiere.

Numele_dispozitivului_ va avea de obicei următoarea formă:
    /dev/hda[1-63] | Discul IDE 1
    /dev/hdb[1-63] | Discul IDE 2
    /dev/sda[1-15] | Discul SCSI 1
    /dev/sdb[1-15] |

Dacă sistemul de fișiere a fost modificat, adică reparat, atunci fsck.minix va afișa „SISTEMUL DE FIȘIERE A FOST MODIFICAT” și va apela sync(2) de trei ori înainte de a ieși. În acest caz, nu este nevoie să reporniți după verificare.

AVERTISMENT

fsck.minix nu ar trebui să fie utilizat pe un sistem de fișiere montat. Folosirea fsck.minix pe un sistem de fișiere montat este foarte periculoasă, din cauza posibilității ca fișierele șterse să fie încă în uz și poate deteriora grav un sistem de fișiere în perfectă stare! Dacă trebuie neapărat să rulați fsck.minix pe un sistem de fișiere montat, cum ar fi sistemul de fișiere rădăcină, asigurați-vă că nu se scrie nimic pe disc și că nu există fișiere „zombi” care așteaptă să fie șterse.

OPȚIUNI

-l, --list
    Listează toate numele de fișiere.

-r, --repair
    Efectuează reparații interactive.

-a, --auto
    Efectuează automat reparațiile. Această opțiune implică --repair și are rolul de a răspunde la toate întrebările puse cu opțiunea implicită. Rețineți că acest lucru poate fi extrem de periculos în cazul deteriorării extinse a sistemului de fișiere.

-v, --verbose
    Oferă informații detaliate la ieșire.

-s, --super
    Afișează informații despre super-blocuri.

-m, --uncleared
    Activează avertismentele în stilul MINIX de tip "mod neclar/necunoscut".

-f, --force
    Forțează o verificare a sistemului de fișiere chiar dacă sistemul de fișiere a fost marcat ca fiind valid. Marcarea se face de către nucleu atunci când sistemul de fișiere este demontat.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

DIAGNOSTICARE

Există numeroase mesaje de diagnosticare. Cele menționate aici sunt cele mai des întâlnite în condiții normale de utilizare.

Dacă dispozitivul nu există, fsck.minix va afișa „unable to read super block” (nu se poate citi super-blocul). Dacă dispozitivul există, dar nu este un sistem de fișiere MINIX, fsck.minix va afișa "bad magic number in super-block" (număr magic greșit în super-bloc).

STARE DE IEȘIRE

Starea de ieșire returnată de fsck.minix este suma dintre următoarele:

0
    Nicio eroare

3
    Erorile sistemului de fișiere au fost corectate, sistemul trebuie repornit dacă sistemul de fișiere a fost montat

4
    Erori ale sistemului de fișiere lăsate necorectate

7
    Combinația stărilor de ieșire 3 și 4

8
    Eroare operațională

16
    Eroare de utilizare sau de sintaxă

AUTORI

Valori de stare de ieșire de către A adăugat suport pentru fanionul valid al sistemului de fișiere: Verificare pentru a preveni verificarea fsck a sistemului de fișiere montat adăugată de Suport pentru Minix v2 fs de actualizat de Corecție pentru portabilitate de

CONSULTAȚI ȘI

fsck(8), fsck.ext2(8), mkfs(8), mkfs.ext2(8), mkfs.minix(8), reboot(8)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda fsck.minix face parte din pachetul util-linux care poate fi descărcat de la